eID middleware |

# be.portugal.eid.PTEID_KidsCard Class Reference

This class represents a Kids card which is a particular PTEID_EIDCard. More...

Inheritance diagram for be.portugal.eid.PTEID_KidsCard:

List of all members.

## Public Member Functions

synchronized void | delete ()

## Protected Member Functions

| PTEID_KidsCard (long cPtr, boolean cMemoryOwn)
void | finalize ()

## Static Protected Member Functions

static long | getCPtr (PTEID_KidsCard obj)

## Detailed Description

This class represents a Kids card which is a particular PTEID_EIDCard.

See also:
  PTEID_ReaderContext.getKidsCard()

## Constructor & Destructor Documentation

be.portugal.eid.PTEID_KidsCard.PTEID_KidsCard | ( | long | cPtr,
|  | boolean | cMemoryOwn |
| ) |  |  | `[protected]`

## Member Function Documentation

synchronized void be.portugal.eid.PTEID_KidsCard.delete | ( |  | ) |

Reimplemented from be.portugal.eid.PTEID_EIDCard.

References be.portugal.eid.PTEID_Object.swigCMemOwn.

void be.portugal.eid.PTEID_KidsCard.finalize | ( |  | ) | `[protected]`

Reimplemented from be.portugal.eid.PTEID_EIDCard.

static long be.portugal.eid.PTEID_KidsCard.getCPtr | ( | PTEID_KidsCard | obj | ) | `[static, protected]`

References be.portugal.eid.PTEID_KidsCard.swigCPtr.